Shutter does not work in Wayland

Bug #1502263 reported by Wolf Vollprecht on 2015-10-02
550
This bug affects 99 people
Affects Status Importance Assigned to Milestone
Shutter
Critical
Unassigned
Ubuntu GNOME
Low
Unassigned
shutter (Fedora)
Confirmed
High
shutter (Ubuntu)
Medium
Unassigned

Bug Description

Running Gnome 3.18 and Gnome Shell as the new Wayland Compositor, shutter doesn't work. I.e. it's only creating a screenshot of the shutter logo in a distorted way.

I don't if that's something that can be fixed easily, but it seems Wayland (security) related.

Otherwise thanks for this outstanding screenshot tool!

Wolf
*****************************
Main upstream discussion & fixes example to deal with wayland:
https://bugzilla.gnome.org/show_bug.cgi?id=776437
*****************************

Workaround
===========
Log out. Click your name on the login screen, then click the gear button and select 'Ubuntu on Xorg'. Enter your password and log in.

Roel Brook (rainmaker52) wrote :

Confirmed, though I'm not sure whether it's the Shutter logo I'm seeing.

This is related to the security in Wayland, which prevents applications from seeing other application's viewports.

Gnome-screenshot manages, so it must be possible in some way. I'm just not sure what API is being used.

https://bugzilla.redhat.com/show_bug.cgi?id=1299293
https://lists.fedoraproject.org/pipermail/users/2016-February/468633.html

Same problem here with ubuntu GNOME 16.10. It's possible to take screenshots, but they just show some strange pixel-pictures...
Shutter works fine when not logging in with wayland.

pd5rm (pd5rm) wrote :

Another +1 from me. I see this on Arch with xf86-video-nouveau driver running Gnome 3.22.

tristan su (sooqing) wrote :

+1. I'm seeing this issue on fedora 25, with Wayland

Richard (r-j-v-m-sterken) wrote :

Same here, Gnome on Arch.

Richard (r-j-v-m-sterken) wrote :

..on wayland, by the way...

solideo (kissbug8720) wrote :

wayland...Gnome 3.22 Fedora 25 ...

shutter doesn't work

jack_spratt (jack-spratt) wrote :

Same here

Jorge (castel) wrote :

+1. Fedora 24 and Fedora 25 with Wayland and Shutter. Only re-login with Xorg makes it work again.

Jeremy Bicha (jbicha) wrote :
Changed in ubuntu-gnome:
status: New → Triaged
importance: Undecided → Low
Changed in shutter:
status: New → Confirmed
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in shutter (Ubuntu):
status: New → Confirmed
tags: added: xenial yakkety zesty
Changed in shutter (Ubuntu):
importance: Undecided → Medium
Robert Buchholz (rbu) wrote :

mario-kemper, do you plan to port Shutter to support the native DBUS/Wayland APIs in the future?

Matthew Gregg (mcg) wrote :

Given the recent news of Unity, made the switch to GNOME/Wayland. I use Shutter all the time, but it only shows a black screen when I try to take a screenshot under Wayland. Is support planned?

Photon (michael-kogan) wrote :

Development looks dead, I don't think, anything will happen unless somebody jumps in and resumes the development...

Julian Alarcon (alarconj) wrote :

Ok, now in Ubuntu 17.10 using Wayland. Shutter tries to take a screenshot but only got the Shutter icon distorted.

I found some shortcuts useful in gnome-screenshot, not a workaround but still useful.
Actually I am seeing for the first time the gnome shortcuts as well:

PrtSc = Capture screen
Alt+PrtSc = Capture Active App/Window
Shift+PrtSc = Capture Area

Julian Alarcon (alarconj) wrote :

I hope that someone fix this bug. BTW KDE guys fixed (partially) this problem in Spectacle
https://blog.martin-graesslin.com/blog/2016/11/from-window-killing-to-screenshot/

tags: added: wayland wayland-session

same in Ubuntu 17.10 Wayland:
corrado@corrado-HP-aa-p5:~/Documents$ env | grep -i wayland
DESKTOP_SESSION=ubuntu-wayland
WAYLAND_DISPLAY=wayland-0
XDG_SESSION_TYPE=wayland
XDG_SESSION_DESKTOP=ubuntu-wayland
GDMSESSION=ubuntu-wayland
corrado@corrado-HP-aa-p5:~/Documents$

corrado@corrado-HP-aa-p5:~/Documents$ ./inxi -Fxx
System: Host: corrado-HP-aa-p5 Kernel: 4.11.0-10-generic x86_64 (64 bit gcc: 6.3.0)
           Desktop: Gnome 3.24.2 (Gtk 3.22.15-0ubuntu2) dm: gdm3
           Distro: Ubuntu Artful Aardvark (development branch)
Machine: Device: laptop System: Hewlett-Packard product: HP 250 G3 Notebook PC v: 0991100000000000000600087
           Mobo: Hewlett-Packard model: 2211 v: 86.49 UEFI: Insyde v: F.36 date: 12/18/2014
           Chassis: type: 10
Battery BAT1: charge: 3.2 Wh 14.8% condition: 21.5/21.8 Wh (99%) volts: 10.6/11.1
           model: 13-42 OA03031 serial: 02550 01/07/2015 status: Discharging
CPU: Dual core Intel Core i5-4210U (-HT-MCP-) cache: 3072 KB
           flags: (lm nx sse sse2 sse3 sse4_1 sse4_2 ssse3 vmx) bmips: 9577
           clock speeds: min/max: 800/2700 MHz 1: 799 MHz 2: 799 MHz 3: 799 MHz 4: 1017 MHz
Graphics: Card: Intel Haswell-ULT Integrated Graphics Controller bus-ID: 00:02.0 chip-ID: 8086:0a16
           Display Server: wayland (X.Org 1.19.3) driver: N/A Resolution: 1366x768@59.80hz
           OpenGL: renderer: Mesa DRI Intel Haswell Mobile
           version: 4.5 Mesa 17.1.2 (compat-v: 3.0) Direct Render: Yes
Audio: Card-1 Intel 8 Series HD Audio Controller driver: snd_hda_intel bus-ID: 00:1b.0 chip-ID: 8086:9c20
           Card-2 Intel Haswell-ULT HD Audio Controller driver: snd_hda_intel bus-ID: 00:03.0 chip-ID: 8086:0a0c
           Sound: Advanced Linux Sound Architecture v: k4.11.0-10-generic
Network: Card-1: Realtek RTL8101/2/6E PCI Express Fast/Gigabit Ethernet controller
           driver: r8169 v: 2.3LK-NAPI port: 3000 bus-ID: 08:00.0 chip-ID: 10ec:8136
           IF: enp8s0 state: down mac: 5c:b9:01:06:ba:ce
           Card-2: Ralink RT3290 Wireless 802.11n 1T/1R PCIe
           driver: rt2800pci v: 2.3.0 bus-ID: 09:00.0 chip-ID: 1814:3290
           IF: wlo1 state: up mac: ac:d1:b8:82:03:5d
Drives: HDD Total Size: 500.1GB (2.0% used)
           ID-1: /dev/sda model: ST500LT012 size: 500.1GB serial: W3PEAWM4
Partition: ID-1: / size: 32G used: 5.5G (19%) fs: ext4 dev: /dev/sda5
           ID-2: swap-1 size: 4.29GB used: 0.00GB (0%) fs: swap dev: /dev/sda2
RAID: System: supported: N/A
           No RAID devices: /proc/mdstat, md_mod kernel module present
           Unused Devices: none
Sensors: System Temperatures: cpu: 42.0C mobo: 42.0C
           Fan Speeds (in rpm): cpu: N/A
Info: Processes: 229 Uptime: 7 min Memory: 1118.1/3881.2MB Init: systemd v: 233 runlevel: 5 Gcc sys: 6.3.0
           Client: Shell (bash 4.4.121 running in gnome-terminal-) inxi: 2.3.23
corrado@corrado-HP-aa-p5:~/Documents$

for a (may be) similar problem see also:
https://bugs.launchpad.net/ubuntu/+source/gimp/+bug/1705188
https://bugs.launchpad.net/ubuntu/+source/gpick/+bug/1704808

Khurshid Alam (khurshid-alam) wrote :

How does mir take a screenshot then?

Photon (michael-kogan) wrote :
Changed in shutter:
importance: Undecided → Critical

In Ubuntu 17.10, shutter is unusable. Until this is fixed, is there an alternative that does work in wayland?

tags: added: artful
André (afsverissimo) wrote :

gnome-screenshot works

Can it edit and upload screenshots?

On Fri, Oct 13, 2017 at 1:39 PM André <email address hidden> wrote:

> gnome-screenshot works
>
> --
> You received this bug notification because you are a member of Shutter
> Team, which is subscribed to shutter in Ubuntu.
> https://bugs.launchpad.net/bugs/1502263
>
> Title:
> Shutter does not work in Wayland
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/shutter/+bug/1502263/+subscriptions
>

André (afsverissimo) wrote :

Not fully featured as shutter. It can just take screenshots, it's an alternative to the most basic feature of shutter, screenshot and saving to file (desktop, window, area,...)

ps. Sorry for my simplistic ressponse

dino99 (9d9) wrote :
Wolf Vollprecht (w-vollprecht) wrote :

The easiest way in gnome-shell is pressing the print screen button for a full screen shot, or SHIFT+Print Screen button to select a region.

Shutter is a lot more than a simple screenshot-application.

It allows you to immediately ftp your screenshot to a websever and then it copies the url of that screenshot into your clipboard (automatically) so you can can quickly share screenshots with other people via chat/email/etc with simple ctrl-v paste.

Additionally, it allow you to edit a screenshot; you can draw arrow to potions of the image you want to emphasize before collaboration.

I use it so frequently, and it is such a time saver to alternative methods of accomplishing these needs, that must downgrade to Ubuntu 16.04.3 until it works in Ubuntu 17.10, or until there is an alternative that truly compares.

Ubuntu 17.10 is looking great, but I have to have sophisticated applications like shutter, autokey-gtk, or I simply can't upgrade. Ubuntu is not a toy for me. I use it for work and productivity.

Jerther (jerther) wrote :

I take the screenshot with the gnome utility, copy the image then paste it
in shutter. Painful but only workaround I've found.

On Oct 13, 2017 16:54, "Lonnie Lee Best" <email address hidden> wrote:

> Shutter is a lot more than a simple screenshot-application.
>
> It allows you to immediately ftp your screenshot to a websever and then
> it copies the url of that screenshot into your clipboard (automatically)
> so you can can quickly share screenshots with other people via
> chat/email/etc with simple ctrl-v paste.
>
> Additionally, it allow you to edit a screenshot; you can draw arrow to
> potions of the image you want to emphasize before collaboration.
>
> I use it so frequently, and it is such a time saver to alternative
> methods of accomplishing these needs, that must downgrade to Ubuntu
> 16.04.3 until it works in Ubuntu 17.10, or until there is an alternative
> that truly compares.
>
> Ubuntu 17.10 is looking great, but I have to have sophisticated
> applications like shutter, autokey-gtk, or I simply can't upgrade.
> Ubuntu is not a toy for me. I use it for work and productivity.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1502263
>
> Title:
> Shutter does not work in Wayland
>
> Status in Shutter:
> Confirmed
> Status in Ubuntu GNOME:
> Triaged
> Status in shutter package in Ubuntu:
> Confirmed
> Status in shutter package in Fedora:
> Unknown
>
> Bug description:
> Running Gnome 3.18 and Gnome Shell as the new Wayland Compositor,
> shutter doesn't work. I.e. it's only creating a screenshot of the
> shutter logo in a distorted way.
>
> I don't if that's something that can be fixed easily, but it seems
> Wayland (security) related.
>
> Otherwise thanks for this outstanding screenshot tool!
>
> Wolf
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/shutter/+bug/1502263/+subscriptions
>

Jeremy Bicha (jbicha) wrote :

Lonnie, you can still use Ubuntu 17.10. On the login screen, after selecting your name, click the gear button to log in to 'Ubuntu on Xorg'. That will also work in Ubuntu 18.04 LTS.

Changed in shutter (Fedora):
importance: Unknown → High
status: Unknown → Confirmed
dino99 (9d9) on 2017-10-28
description: updated
Vadim Peretokin (vperetokin) wrote :

I don't see a clear solution that's not a workaround in that bug topic

On Sat, Oct 28, 2017 at 8:12 AM dino99 <email address hidden> wrote:

> ** Description changed:
>
> Running Gnome 3.18 and Gnome Shell as the new Wayland Compositor,
> shutter doesn't work. I.e. it's only creating a screenshot of the
> shutter logo in a distorted way.
>
> I don't if that's something that can be fixed easily, but it seems
> Wayland (security) related.
>
> Otherwise thanks for this outstanding screenshot tool!
>
> Wolf
> + *****************************
> + Main upstream discussion & fixes example to deal with wayland:
> + https://bugzilla.gnome.org/show_bug.cgi?id=776437
> + *****************************
>
> --
> You received this bug notification because you are a member of Shutter
> Team, which is subscribed to shutter in Ubuntu.
> https://bugs.launchpad.net/bugs/1502263
>
> Title:
> Shutter does not work in Wayland
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/shutter/+bug/1502263/+subscriptions
>

Photon (michael-kogan) wrote :

May be the patch sets submitted for GParted are meant. But they tackle the root access problem while Shutter struggles with screen capture, afaik these things are not related.

John Manko (jmanko) wrote :

I'm adding an attachment with an example of what shutter captures. Also, output when running from the command line:

$ shutter
WARNING: gnome-web-photo is missing --> screenshots of websites will be disabled!

GdkPixbuf-LOG **: gdk_pixbuf_from_pixdata() called on: at /usr/bin/shutter line 2889.
GdkPixbuf-LOG **: Encoding raw at /usr/bin/shutter line 2889.
GdkPixbuf-LOG **: Dimensions: 16 x 16 at /usr/bin/shutter line 2889.
GdkPixbuf-LOG **: Rowstride: 64, Length: 1048 at /usr/bin/shutter line 2889.
GdkPixbuf-LOG **: Copy pixels == false at /usr/bin/shutter line 2889.
GdkPixbuf-LOG **: gdk_pixbuf_from_pixdata() called on: at /usr/bin/shutter line 2889.
GdkPixbuf-LOG **: Encoding raw at /usr/bin/shutter line 2889.
GdkPixbuf-LOG **: Dimensions: 16 x 16 at /usr/bin/shutter line 2889.
GdkPixbuf-LOG **: Rowstride: 64, Length: 1048 at /usr/bin/shutter line 2889.
GdkPixbuf-LOG **: Copy pixels == false at /usr/bin/shutter line 2889.

Livio (livio-s) wrote :

I get exactly the same result as John Manko, only since upgrading to 17.10 from 17.04.
Interestingly, it doesn't happen on all monitor configurations. It happens at work where i have dual HP LA2405x monitors, but works correctly at home with a single monitor (same laptop in both cases).

Let me know if I can offer information that might help.

Jeremy Bicha (jbicha) on 2017-11-03
description: updated
Jerther (jerther) wrote :

So the workaround is to not use Wayland... :(

Vadim Peretokin (vperetokin) wrote :

Yeah, see the bug title. Shutter has not been actively maintained and
Wayland doesn't offer the same way of capturing an images - if there are
ways at all.

On Fri, Nov 3, 2017 at 2:25 PM Jerther <email address hidden> wrote:

> So the workaround is to not use Wayland... :(
>
> --
> You received this bug notification because you are a member of Shutter
> Team, which is subscribed to shutter in Ubuntu.
> https://bugs.launchpad.net/bugs/1502263
>
> Title:
> Shutter does not work in Wayland
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/shutter/+bug/1502263/+subscriptions
>

Timothy Zorn (systemdisc) wrote :

I'll fix this eventually.

I think the easiest solution is to detect if GNOME is being used and it so, check for gnome-screenshot. Then, grab screenshots via gnome-screenshot.

Jerther (jerther) wrote :

I guess it's not easy to implement the capture code from gnome-screenshot into shutter?

It should be feasible. I mean, gnome-screenshot is one thing, but there's also Google's screen sharing feature, available in Hangouts which works very well in Wayland and, to my knowledge, does not require root access or anything.

I understand it's not an easy task in any way. I'd be glad to help though.

Robert Orzanna (orschiro) wrote :

Can't Shutter use XWayland?

From my understanding Firefox is running X under Wayland for compatibility reasons.

Maybe Shutter can do the same?

Vadim Peretokin (vperetokin) wrote :

That would be great.

On Fri, Nov 3, 2017 at 2:44 PM Timothy Zorn <email address hidden> wrote:

> I'll fix this eventually.
>
> I think the easiest solution is to detect if GNOME is being used and it
> so, check for gnome-screenshot. Then, grab screenshots via gnome-
> screenshot.
>
> --
> You received this bug notification because you are a member of Shutter
> Team, which is subscribed to shutter in Ubuntu.
> https://bugs.launchpad.net/bugs/1502263
>
> Title:
> Shutter does not work in Wayland
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/shutter/+bug/1502263/+subscriptions
>

Jeremy Bicha (jbicha) wrote :

> Can't Shutter use XWayland?

No, it needs to be able to screenshot the Wayland display

> I think the easiest solution is to detect if GNOME is being used and it so, check for gnome-screenshot. Then, grab screenshots via gnome-screenshot.

Look into the API that GNOME Shell provides for screenshots (which is what gnome-screenshot uses).

Dominique Dumont (domi-dumont) wrote :

Shutter has not been maintained for years and uses obsolete libraries. On Debian side, we are considering removing shutter from Debian despite its usefulness and popularity. See https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=870418#54

So, jerther, feel free to step in. I don't think anyone will complain if shutter gets a new active maintainer.

Dod, on behalf of Debian-perl team

Vadim Peretokin (vperetokin) wrote :

That sounds pretty disappointing that you are willing to negatively impact
a lot of users for a completely arbitrary reason as far as the end user is
concerned. The tool isn't great anymore and doesn't work on all setups, but
there are still ways to make it work and removing those ways will not add
any value whatsoever.

On Sat, Nov 4, 2017 at 8:46 AM Dominique Dumont <email address hidden> wrote:

> Shutter has not been maintained for years and uses obsolete libraries.
> On Debian side, we are considering removing shutter from Debian despite
> its usefulness and popularity. See https://bugs.debian.org/cgi-
> bin/bugreport.cgi?bug=870418#54
>
> So, jerther, feel free to step in. I don't think anyone will complain if
> shutter gets a new active maintainer.
>
> Dod, on behalf of Debian-perl team
>
> ** Bug watch added: Debian Bug tracker #870418
> https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=870418
>
> --
> You received this bug notification because you are a member of Shutter
> Team, which is subscribed to shutter in Ubuntu.
> https://bugs.launchpad.net/bugs/1502263
>
> Title:
> Shutter does not work in Wayland
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/shutter/+bug/1502263/+subscriptions
>

dino99 (9d9) wrote :

A free alternative for linuxers: https://lightscreen.com.ar/

Timothy Zorn (systemdisc) wrote :

The point is that this project needs a lot of work, and although myself and some other people were finally able to get access to the repo from the original developer, this project is not actively maintained. Some patches have been merged in, but there is no active development at this point. If I had more time, I'd love to bring everything up the speed, but I'm just very busy. I'd welcome patches.

Timothy Zorn (systemdisc) wrote :

It turns out I have some time to work on this today. What needs to be resolved to keep this in Debian's repo? Wayland support and ____?

Photon (michael-kogan) wrote :

In my opinion Wayland support is the most urgent issue right now. Further issues worth attention but much less urgent: Second instance crashes on newer perl versions, Dropbox upload needs porting to new API.

Photon (michael-kogan) wrote :

P.S.: Looking at the bug linked by domi-dumont, GVFS dependency seems to be another issue: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=870418#54

Photon (michael-kogan) wrote :

P.P.S.: Would be great if you could actually revive Shutter, it seems to be still quite popular despite of its age and lack of development.

Robert Orzanna (orschiro) wrote :

> A free alternative for linuxers: https://lightscreen.com.ar/

Correct me but I don't think this one supports Wayland, does it?

dino99 (9d9) wrote :

If you does not want to use the xhost script for 'unlocking' the wayland restriction, then only open a X session.

Andreas Schramm (propain) wrote :

Unfotunately there is no manual how to install it on linux...

Am 04.11.2017 um 15:50 schrieb dino99:
> A free alternative for linuxers: https://lightscreen.com.ar/
>

Anton Hughes (kurrent93) wrote :

Is it possible to put the source code on github?

On 5 November 2017 at 06:06, Andreas Schramm <email address hidden>
wrote:

> Unfotunately there is no manual how to install it on linux...
>
>
> Am 04.11.2017 um 15:50 schrieb dino99:
> > A free alternative for linuxers: https://lightscreen.com.ar/
> >
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1729440).
> https://bugs.launchpad.net/bugs/1502263
>
> Title:
> Shutter does not work in Wayland
>
> Status in Shutter:
> Confirmed
> Status in Ubuntu GNOME:
> Triaged
> Status in shutter package in Ubuntu:
> Confirmed
> Status in shutter package in Fedora:
> Confirmed
>
> Bug description:
> Running Gnome 3.18 and Gnome Shell as the new Wayland Compositor,
> shutter doesn't work. I.e. it's only creating a screenshot of the
> shutter logo in a distorted way.
>
> I don't if that's something that can be fixed easily, but it seems
> Wayland (security) related.
>
> Otherwise thanks for this outstanding screenshot tool!
>
> Wolf
> *****************************
> Main upstream discussion & fixes example to deal with wayland:
> https://bugzilla.gnome.org/show_bug.cgi?id=776437
> *****************************
>
> Workaround
> ===========
> Log out. Click your name on the login screen, then click the gear button
> and select 'Ubuntu on Xorg'. Enter your password and log in.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/shutter/+bug/1502263/+subscriptions
>

Photon (michael-kogan) wrote :

If you refer to lightscreen, it is already on github: https://github.com/ckaiser/Lightscreen If you mean Shutter, it is free software, so anybody is free to fork it and put the code anywhere. The only downside is that distro package maintainers will need some time to realize that the development is going on somewhere else, but I think, this is a solvable problem.

Livio (livio-s) wrote :

I get exactly the same result as John Manko, only since upgrading to 17.10 from 17.04.
Interestingly, it doesn't happen on all monitor configurations. It happens at work where i have dual HP LA2405x monitors, but works correctly at home with a single monitor (same laptop in both cases).

Let me know if I can offer information that might help.

Pablo Estigarribia (pablodav) wrote :

I have just found another software that works on wayland https://github.com/lupoDharkael/flameshot that works too.

----- Message de réponse -----
De : "Pablo Estigarribia" <email address hidden>
Pour : <email address hidden>
Objet : [Bug 1502263] Re: Shutter does not work in Wayland
Date : dim., avr. 22, 2018 14:35

I have just found another software that works on wayland
https://github.com/lupoDharkael/flameshot that works too.

--
You received this bug notification because you are subscribed to the bug
report.
https://bugs.launchpad.net/bugs/1502263

Title:
Shutter does not work in Wayland

Status in Shutter:
Confirmed
Status in Ubuntu GNOME:
Triaged
Status in shutter package in Ubuntu:
Confirmed
Status in shutter package in Fedora:
Confirmed

Bug description:
Running Gnome 3.18 and Gnome Shell as the new Wayland Compositor,
shutter doesn't work. I.e. it's only creating a screenshot of the
shutter logo in a distorted way.

I don't if that's something that can be fixed easily, but it seems
Wayland (security) related.

Otherwise thanks for this outstanding screenshot tool!

Wolf
*****************************
Main upstream discussion & fixes example to deal with wayland:
https://bugzilla.gnome.org/show_bug.cgi?id=776437
*****************************

Workaround
===========
Log out. Click your name on the login screen, then click the gear button and select 'Ubuntu on Xorg'. Enter your password and log in.

To manage notifications about this bug go to:
https://bugs.launchpad.net/shutter/+bug/1502263/+subscriptions

In addition to not working in Wayland, major shutter-features are starting to die in Ubuntu 18.04 (to be release this Thursday 2018-04-26). It seems that (upstream) debian has too soon removed the libgoo-canvas-perl package which allows quick and simple editing of screen-shots (via right-click > edit, in Shutter):

https://bugs.launchpad.net/ubuntu/+source/libgoo-canvas-perl/+bug/1765726

Ubuntu 18.04 runs GNOME3-Xorg by default, so it is a shame that some of shutter's features are dying due to packages that were too soon removed from the repository. Ubuntu 18.04 is a long term support release that will always be GNOME3 Xorg by default. I see no reason way shutter should not be able to work just as well in 18.04 as it did in 16.04, since both use Xorg by default.

So, to me, more urgent than Wayland support, is to re-include the packages that worked fine under Xorg, so that users can upgrade from 16.04 to 18.04 without losing major features (unnecessarily) in shutter.

Edmund Laugasson (ed-lau) wrote :

Would like to mention that under Ubuntu 18.04 LTS you would also see a black screen, especially if you apply that workaround (https://bugs.launchpad.net/ubuntu/+source/libgoo-canvas-perl/+bug/1765726/comments/45) in order to get editing to work... At the same time e.g. under Linux Mint 19 MATE (Ubuntu 18.04 LTS) all worked as expected.

Photon (michael-kogan) wrote :

The only workaround for now is to switch to the Xorg session (which can be done in the login screen).

Rafael Reuber (rafaelreuber-h) wrote :

Shutter doesn't work on Fedora 29 (wayland). When I take a screenshot, shutter just show shutter's icon with a lot of repetitions.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.